Subject: Re: Pulling one commit at a time.

From: Sanjiv Gupta <[email-masked]>
Date: Tue, 25 Aug 2009 00:38:19 +0530

Avery Pennarun wrote:
> On Mon, Aug 24, 2009 at 6:22 AM, Sanjiv Gupta<[email-masked]> wrote:
>   
>> Excellent description. Thanks for that. I want to merge commits one by one
>> because I want to run a regression suite on each commit and therefore know
>> if any one is causing failures.
>>     
>
> Hi Sanjiv,
>
> 'git bisect' is an even better way to do this, in my experience.  I
> wrote a program (http://github.com/apenwarr/gitbuilder/) that
> automatically runs regression tests against all the new versions on
> all the new branches.  It then publishes the results on a web page and
> via RSS.
>
> gitbuilder does take a shortcut: if commit x passes and commit x+10
> passes, it doesn't bother to test commit x+1..9.  
Even, I won't need to run in between commits in that case.
What I wanted to do is to
1. off load this job to a script which sends an email to the developer 
who broke something,
2. schedule that script
3. and sit back relaxed myself.

Looks like you already have the tool. Thanks.

BTW, git is not git, it's great.

thanks to everybody who replied.
- Sanjiv

> However, if x+10
> fails, it bisects automatically to find the first commit that caused a
> failure.  You could disable this shortcut easily enough, however.
>
> Have fun,
>
> Avery
>